﻿@model AHCBL.Dto.Admin.QAConfigDto
@{
    ViewBag.Title = "QA Config";
}
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <input type="submit" value="Save" class="btn btn-default btn-fixed-top" />
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">1:1문의 설정</h5>
                    </div>
                    <div class="card-body">
                        <h6 class="text-success-gradient">1:1문의 설정</h6>
                        <div class="table-responsive">
                            <div style="min-width:1366px;max-width:100%; margin:auto;">
                                <table class="table">
                                    <tr>
                                        <th width="170">
                                            <label>타이틀</label>
                                        </th>
                                        <td width="400">
                                            <div class="input-group mb-3">
                                                @Html.EditorFor(model => model.title, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                
                                            </div>
                                            @Html.ValidationMessageFor(model => model.title, "", new { @class = "text-danger" })
                                        </td>
                                        <th width="200">
                                            <label>분류</label>
                                        </th>
                                        <td colspan="5">
                                            <p class="font-11">분류와 분류 사이는 | 로 구분하세요. (예: 질문|답변) 첫자로 #은 입력하지 마세요. (예: #질문|#답변 [X])</p>
                                            @Html.EditorFor(model => model.category, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.category, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>스킨 디렉토리</label>
                                        </th>
                                        <td>
                                            <div style="width:240px;">
                                                @Html.DropDownListFor(m => m.directory_skin, Model.skin_list, new { @class = "form-control bg-white border" })
                                            </div>
                                        </td>
                                        <th>
                                            <label>모바일 스킨 디렉토리필수</label>
                                        </th>
                                        <td>
                                            @Html.DropDownListFor(m => m.mobile_directory_skin, Model.mobile_skin_list, new { @class = "form-control bg-white border" })
                                        </td>
                                        <th>
                                            <label>이메일 입력</label>
                                        </th>
                                        <td>
                                            @Html.CheckBoxFor(model => model.use_email) 보이기
                                            @Html.CheckBoxFor(model => model.req_email) 필수입력
                                        </td>
                                        <th>
                                            <label>휴대폰 입력</label>
                                        </th>
                                        <td>
                                            @Html.CheckBoxFor(model => model.use_hp) 보이기
                                            @Html.CheckBoxFor(model => model.req_hp) 필수입력
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>SMS 알림</label>
                                        </th>
                                        <td colspan="3">
                                            <p class="font-11">휴대폰 입력을 사용하실 경우 문의글 등록시 등록자가 답변등록시 SMS 알림 수신을 선택할 수 있도록 합니다.</p>
                                            <p class="font-11">SMS 알림을 사용하기 위해서는 기본환경설정 > <a href="#">SMS 설정을</a> 하셔야 합니다.</p>
                                            <div style="width:240px;">
                                                @Html.DropDownListFor(m => m.use_sms, Model.use_sms_list, new { @class = "form-control bg-white border" })
                                            </div>
                                        </td>
                                        <th>
                                            <label>SMS 발신번호</label>
                                        </th>
                                        <td colspan="3">
                                            <p class="font-11">SMS 알림 전송시 발신번호로 사용됩니다.</p>
                                            @Html.EditorFor(model => model.send_number, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                        </td>

                                    </tr>
                                    <tr>
                                        <th>
                                            <label>관리자 휴대폰번호</label>
                                        </th>
                                        <td colspan="3">
                                            <p class="font-11">관리자 휴대폰번호를 입력하시면 문의글 등록시 등록하신 번호로 SMS 알림이 전송됩니다.</p>
                                            <p class="font-11">SMS 알림을 사용하지 않으시면 알림이 전송되지 않습니다.</p>
                                            <div style="width:240px;">
                                                @Html.EditorFor(model => model.mobile_admin, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            </div>
                                        </td>
                                        <th>
                                            <label>SMS 발신번호</label>
                                        </th>
                                        <td colspan="3">
                                            <p class="font-11">관리자 이메일을 입력하시면 문의글 등록시 등록하신 이메일로 알림이 전송됩니다.</p>
                                            @Html.EditorFor(model => model.email_admin, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                        </td>

                                    </tr>
                                    <tr>
                                        <th>
                                            <label>DHTML 에디터 사용</label>
                                        </th>
                                        <td colspan="6">
                                            <p class="font-11">글작성시 내용을 DHTML 에디터 기능으로 사용할 것인지 설정합니다. 스킨에 따라 적용되지 않을 수 있습니다.</p>
                                            <div style="width:240px;">

                                                @Html.DropDownListFor(m => m.use_editor, Model.use_editor_list, new { @class = "form-control bg-white border" })
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>제목 길이</label>
                                        </th>
                                        <td>
                                            <p class="font-11">목록에서의 제목 글자수</p>
                                            <div style="width:240px;">
                                                @Html.EditorFor(model => model.subject_len, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                @Html.ValidationMessageFor(model => model.subject_len, "", new { @class = "text-danger" })
                                            </div>
                                        </td>
                                        <th>
                                            <label>모바일 제목 길이</label>
                                        </th>
                                        <td>
                                            <p class="font-11">목록에서의 제목 글자수</p>
                                            @Html.EditorFor(model => model.mobile_subject_len, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.mobile_subject_len, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>페이지당 목록 수</label>
                                        </th>
                                        <td>
                                            @Html.EditorFor(model => model.page_rows, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.page_rows, "", new { @class = "text-danger" })
                                        </td>
                                        <th>
                                            <label>모바일 페이지당 목록 수</label>
                                        </th>
                                        <td>
                                            @Html.EditorFor(model => model.mobile_page_rows, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.mobile_page_rows, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>이미지 폭 크기필수</label>
                                        </th>
                                        <td>
                                            <p class="font-11">게시판에서 출력되는 이미지의 폭 크기</p>
                                            <div class="input-group mb-3" style="width:240px;">
                                                @Html.EditorFor(model => model.image_width, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text" id="basic-addon2">픽셀</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.image_width, "", new { @class = "text-danger" })
                                        </td>
                                        <th width="200">
                                            <label>파일 업로드 용량필수</label>
                                        </th>
                                        <td colspan="5">
                                            <p class="font-11">최대 200M 이하 업로드 가능, 1 MB = 1,048,576 bytes</p>
                                            <div class="input-group mb-3" style="width:400px;">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text">업로드 파일 한개당</span>
                                                </div>
                                                @Html.EditorFor(model => model.upload_size, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text">bytes 이하</span>
                                                </div>
                                            </div>
                                            @Html.ValidationMessageFor(model => model.upload_size, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>상단 파일 경로</label>
                                        </th>
                                        <td>
                                            <div>
                                                @Html.EditorFor(model => model.include_head, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            </div>
                                        </td>
                                        <th>
                                            <label>하단 파일 경로</label>
                                        </th>
                                        <td colspan="5">
                                            @Html.EditorFor(model => model.include_tail, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>상단 내용</label>
                                        </th>
                                        <td colspan="7">
                                            @Html.TextAreaFor(model => model.detail_hots, new { @class = "ckeditor" })
                                            @Html.ValidationMessageFor(model => model.detail_hots, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>하단 내용</label>
                                        </th>
                                        <td colspan="7">
                                            @Html.TextAreaFor(model => model.detail_bottom, new { @class = "ckeditor" })
                                            @Html.ValidationMessageFor(model => model.detail_bottom, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>모바일 상단 내용</label>
                                        </th>
                                        <td colspan="7">
                                            @Html.TextAreaFor(model => model.detail_hots, new { @class = "ckeditor" })
                                            @Html.ValidationMessageFor(model => model.detail_hots, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>모바일 하단 내용</label>
                                        </th>
                                        <td colspan="7">
                                            @Html.TextAreaFor(model => model.detail_bottom, new { @class = "ckeditor" })
                                            @Html.ValidationMessageFor(model => model.detail_bottom, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>글쓰기 기본 내용</label>
                                        </th>
                                        <td colspan="7">
                                            @Html.TextAreaFor(model => model.insert_content, new { @class = "form-control bg-white border", @rows = "6" })
                                            @Html.ValidationMessageFor(model => model.insert_content, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>여분필드1</label>
                                        </th>
                                        <td colspan="7">
                                            <div class="justify-content-start row">
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 1 제목</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.subj1, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.subj1, "", new { @class = "text-danger" })
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 1 값</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.txt1, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.txt1, "", new { @class = "text-danger" })
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>여분필드2</label>
                                        </th>
                                        <td colspan="7">
                                            <div class="justify-content-start row">
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 2 제목</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.subj2, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.subj2, "", new { @class = "text-danger" })
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 2 값</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.txt2, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.txt2, "", new { @class = "text-danger" })
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>여분필드3</label>
                                        </th>
                                        <td colspan="7">
                                            <div class="justify-content-start row">
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 3 제목</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.subj3, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.subj3, "", new { @class = "text-danger" })
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 3 값</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.txt3, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.txt3, "", new { @class = "text-danger" })
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>여분필드4</label>
                                        </th>
                                        <td colspan="7">
                                            <div class="justify-content-start row">
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 4 제목</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.subj4, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.subj4, "", new { @class = "text-danger" })
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 4 값</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.txt4, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.txt4, "", new { @class = "text-danger" })
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>여분필드5</label>
                                        </th>
                                        <td colspan="7">
                                            <div class="justify-content-start row">
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 5 제목</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.subj5, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.subj5, "", new { @class = "text-danger" })
                                                <div class="input-group mb-3 ml-3" style="width:400px;">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">여분필드 5 값</span>
                                                    </div>
                                                    @Html.EditorFor(model => model.txt5, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                </div>
                                                @Html.ValidationMessageFor(model => model.txt5, "", new { @class = "text-danger" })
                                            </div>
                                        </td>
                                    </tr>
                                    <tr><td colspan="8"></td></tr>
                                </table>                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
<script>
    $(document).ready(function () {
        $("th").addClass("bg-secondary-rgba align-middle");
        $("#liBoard").addClass("active");
        $("#meQAConfig").addClass("active");
    });
</script>